CVE-2019-14523

NameCVE-2019-14523
DescriptionAn issue was discovered in Schism Tracker through 20190722. There is an integer underflow via a large plen in fmt_okt_load_song in the Amiga Oktalyzer parser in fmt/okt.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs933809

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
schism (PTS)stretch2:20160521-1vulnerable
buster2:20181223-1vulnerable
bullseye2:20200412-1fixed
bookworm, sid2:20210525-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
schismsource(unstable)2:20190805-1933809

Notes

[buster] - schism <no-dsa> (Minor issue)
[stretch] - schism <no-dsa> (Minor issue)
[jessie] - schism <no-dsa> (Minor issue)
https://github.com/schismtracker/schismtracker/issues/202

Search for package or bug name: Reporting problems